Get Audio Configuration

1. API Description

Get audio configuration information.

Request mode: GET [ip]/api/audio/config/get

Administrator Rights Login Authentication
No Yes

2. Input Parameters

None

3. Output Parameters

Parameter Type Description
status Int Status code
channel-map Array Channel mapping array
channels Int Number of output channels, 0 means keep the same as source channel count
check-pts Boolean Whether to check audio pts
convert-mode Int NDI volume standard, 0 means SMPTE, 1 means EBU
gain Int Gain value (float), range [-100, 20]
sample-rate Int Audio output sample rate, 0 means keep source sample rate, other valid values: 32000, 44100, 48000, 88200, 96000

4. Example

Get Audio Configuration Information

Request Example

GET /api/audio/config/get
Output Example
{
    "channel-map": [
        0,
        1,
        2,
        3,
        4,
        5,
        6,
        7
    ],
    "channels": 0,
    "check-pts": true,
    "convert-mode": 0,
    "gain": 0,
    "sample-rate": 0,
    "status": 0
}

results matching ""

    No results matching ""

    results matching ""

      No results matching ""